## libmoox-strictconstructor-perl 0.008

=== debian/changelog ===
libmoox-strictconstructor-perl (0.008-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#794880.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Aug 2015 17:04:13 +0200
