=== debian/control ===
Source: libmoox-strictconstructor-perl
Section: perl
Priority: optional
Build-Depends: cdbs,
 devscripts,
 perl,
 libmodule-build-perl,
 debhelper,
 dh-buildinfo,
 libclass-method-modifiers-perl,
 libbareword-filehandles-perl,
 libindirect-perl,
 libmultidimensional-perl,
 libstrictures-perl,
 libmoo-perl (>= 1.001000),
 libpod-coverage-trustpod-perl,
 libtest-cpan-meta-perl,
 libtest-fatal-perl,
 libtest-pod-perl,
 libtest-pod-coverage-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libmoox-strictconstructor-perl
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libmoox-strictconstructor-perl.git
Homepage: https://metacpan.org/release/MooX-StrictConstructor

Package: libmoox-strictconstructor-perl
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${perl:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: make Moo-based object constructors blow up on unknown attributes
 Simply loading MooX::StrictConstructor makes your constructors
 "strict".  If your constructor is called with an attribute init
 argument that your class does not declare, then it dies.  This is a
 great way to catch small typos.
