=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2015 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for MooX::StrictConstructor
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/perl-build.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)

DEB_UPSTREAM_PACKAGE = MooX-StrictConstructor
DEB_UPSTREAM_URL = http://www.cpan.org/modules/by-module/MooX

# Build-depend unversioned on debhelper
#  TODO: Drop when adopted in cdbs
CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper

# Needed by upstream build process and (always) at runtime
perl-deps = class-method-modifiers bareword-filehandles indirect
perl-deps += multidimensional strictures
deps = $(patsubst %,$(comma) lib%-perl,$(perl-deps))
deps +=, libmoo-perl (>= 1.001000)

# Needed (always) by upstream testsuite
bdeps-test = libpod-coverage-trustpod-perl, libtest-cpan-meta-perl
bdeps-test +=, libtest-fatal-perl, libtest-pod-perl, libtest-pod-coverage-perl

CDBS_BUILD_DEPENDS +=, $(deps), $(bdeps-test)
CDBS_DEPENDS_$(pkg) = $(deps)
