## libmoox-strictconstructor-perl 0.010

=== debian/changelog ===
libmoox-strictconstructor-perl (0.010-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest.
    Skip use.t; the module is not supposed to be use()d directly,
    only with Moo classes.
  * Use MetaCPAN release page in debian/copyright's Source field. 

 -- gregor herrmann <gregoa@debian.org>  Thu, 21 Feb 2019 17:59:23 +0100

libmoox-strictconstructor-perl (0.010-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org.

  [ gregor herrmann ]
  * Update URLs from {search,www}.cpan.org to MetaCPAN.
  * Update GitHub URLs to use HTTPS.

  [ Jonas Smedegaard ]
  * Simplify rules.
    Stop build-depend on devscripts cdbs.
  * Update git-buildpackage config: Filter any .git* file.
  * Stop build-depend on dh-buildinfo.
  * Mark build-dependencies needed only for testsuite as such.
  * Enable autopkgtest.
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.3.0.
  * Relax to (build-)depend unversioned on libmoo-perl:
    Needed version satisfied even in oldstable.
  * Update copyright info:
    + Strip superfluous copyright signs.
    + Use https protocol in Format URL.
    + Extend coverage of packaging.
    + Bump (yes not bump) coverage for main upstream author.
  * Wrap and sort control file.
  * Drop obsolete lintian override regarding debhelper 9.
  * Tighten lintian overrides regarding License-Reference.
  * Update watch file:
    + Bump to file format 4.
    + Track only MetaCPAN URL.
    + Rewrite usage comment.
    + Use substitution strings.
  * Stop (build-)depend on libbareword-filehandles-perl libindirect-perl
    libmultidimensional-perl.
    Stop build-depend on libpod-coverage-trustpod-perl
    libtest-cpan-meta-perl libtest-pod-coverage-perl libtest-pod-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Feb 2019 19:37:44 +0100
