=== debian/control ===
Source: libmoox-strictconstructor-perl
Section: perl
Priority: optional
Build-Depends:
 debhelper,
 libclass-method-modifiers-perl <!nocheck>,
 libmodule-build-perl,
 libmoo-perl <!nocheck>,
 libstrictures-perl <!nocheck>,
 libtest-fatal-perl <!nocheck>,
 perl,
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmoox-strictconstructor-perl.git
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmoox-strictconstructor-perl
Homepage: https://metacpan.org/release/MooX-StrictConstructor
Testsuite: autopkgtest-pkg-perl
Rules-Requires-Root: no

Package: libmoox-strictconstructor-perl
Architecture: all
Depends:
 libclass-method-modifiers-perl,
 libmoo-perl,
 libstrictures-perl,
 ${misc:Depends},
 ${perl:Depends},
Description: make Moo-based object constructors blow up on unknown attributes
 Simply loading MooX::StrictConstructor
 makes your constructors "strict".
 If your constructor is called with an attribute init argument
 that your class does not declare,
 then it dies.
 This is a great way to catch small typos.
