## libmoox-strictconstructor-perl 0.011

=== debian/changelog ===
libmoox-strictconstructor-perl (0.011-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 06 Dec 2022 16:30:50 +0000

libmoox-strictconstructor-perl (0.011-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.0
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Apr 2020 21:02:06 +0200
