=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: perl
 Priority: optional
 Build-Depends:
- debhelper,
+ debhelper-compat (= 13),
  libclass-method-modifiers-perl <!nocheck>,
  libmodule-build-perl,
  libmoo-perl <!nocheck>,
@@ -12,7 +12,7 @@
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmoox-strictconstructor-perl.git
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmoox-strictconstructor-perl
 Homepage: https://metacpan.org/release/MooX-StrictConstructor
