## libmoox-strictconstructor-perl 0.013

=== debian/changelog ===
libmoox-strictconstructor-perl (0.013-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update lintian override info format in d/source/lintian-overrides
    on line 2-7.
  * Update standards version to 4.6.2, no changes needed.

  [ gregor herrmann ]
  * Remove libmodule-build-perl from Build-Depends.
    This distribution uses ExtUtils::MakeMaker.

  * Import upstream version 0.013.
  * Update test and runtime dependencies.
  * Declare compliance with Debian Policy 4.7.2.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional», which is the current default.

 -- gregor herrmann <gregoa@debian.org>  Sun, 05 Oct 2025 03:02:18 +0200
