=== debian/control ===
Source: libmoox-strictconstructor-perl
Standards-Version: 4.7.2
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Section: perl
Testsuite: autopkgtest-pkg-perl
Build-Depends:
 debhelper-compat (= 13),
 libmoo-perl <!nocheck>,
 libtest-fatal-perl <!nocheck>,
 perl,
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmoox-strictconstructor-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmoox-strictconstructor-perl.git
Homepage: https://metacpan.org/release/MooX-StrictConstructor

Package: libmoox-strictconstructor-perl
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 libmoo-perl,
Description: make Moo-based object constructors blow up on unknown attributes
 Simply loading MooX::StrictConstructor
 makes your constructors "strict".
 If your constructor is called with an attribute init argument
 that your class does not declare,
 then it dies.
 This is a great way to catch small typos.
